problem_reporter_ogr.hpp File Reference
`#include <memory>`
`#include <gdalcpp.hpp>`
`#include <osmium/area/problem_reporter.hpp>`
`#include <osmium/geom/factory.hpp>`
`#include <osmium/geom/ogr.hpp>`
`#include <osmium/osm/location.hpp>`
`#include <osmium/osm/types.hpp>`
Include dependency graph for problem_reporter_ogr.hpp:

Go to the source code of this file.

## Classes

class | osmium::area::ProblemReporterOGR

## Namespaces

| osmium
| Namespace for everything in the Osmium library.
| osmium::area
| Code related to the building of areas (multipolygons) from relations.

## Detailed Description

This file contains code for reporting problems through OGR when assembling multipolygons.

Attention
  If you include this file, you'll need to link with `libgdal`.